Package ghidra.app.plugin.match

# Class FunctionMatchSet

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
java.util.ArrayList<SubroutineMatch>
ghidra.app.plugin.match.FunctionMatchSet

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<SubroutineMatch>`, `Collection<SubroutineMatch>`, `List<SubroutineMatch>`, `RandomAccess`

public class FunctionMatchSet extends ArrayList<SubroutineMatch>
To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final Program`
  `aProgram`
  `final Program`
  `bProgram`

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionMatchSet(Program aProgram, Program bProgram)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getLength(Address addr)`
  Assumes the address is in program a
  `int`
  `getLength(Address addr, Program aProgram)`
  `SubroutineMatch[]`
  `getMatches()`

  ### Methods inherited from class java.util.ArrayList

  `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `containsAll`

- ## Field Details

  - ### aProgram

    public final Program aProgram

  - ### bProgram

    public final Program bProgram

- ## Constructor Details

  - ### FunctionMatchSet

    public FunctionMatchSet(Program aProgram, Program bProgram)
    Parameters:
      `aProgram` - The program from which the matching was initiated.
      `bProgram` - The program being matched.

- ## Method Details

  - ### getMatches

    public SubroutineMatch[] getMatches()
    Returns:
      The sorted array of matches.

  - ### getLength

    public int getLength(Address addr, Program aProgram)

  - ### getLength

    public int getLength(Address addr)
    Assumes the address is in program a